# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# Configuration file for Melawy Linux offline installs

---

modules-search: [ local ]

instances:
- id:       offline
  module:   packages
  config:   packages_offline.conf

- id:       offline
  module:   welcome
  config:   welcome_offline.conf

- id:       offline
  module:   eos_bootloader
  config:   eos_bootloader_offline.conf

#  - shellprocess@reset_systemd_multiuser_chrooted
- id:       reset_systemd_multiuser_chrooted
  module:   shellprocess
  config:   shellprocess_reset_systemd_multiuser_chrooted.conf

#  - shellprocess@initialize_pacman_dont_chroot
- id:       initialize_pacman_dont_chroot
  module:   shellprocess
  config:   shellprocess_initialize_pacman_dont_chroot_offline.conf

#  - shellprocess@remove_ucode_chrooted
- id:       remove_ucode_chrooted
  module:   shellprocess
  config:   shellprocess_remove_ucode_chrooted.conf

#  - shellprocess@copy_refind_theme_chrooted
- id:       copy_refind_theme_chrooted
  module:   shellprocess
  config:   shellprocess_copy_refind_theme_chrooted.conf

#  - shellprocess@remove_unneeded_nvidia_and_virt_machine_and_packages_chrooted
- id:       remove_unneeded_nvidia_and_virt_machine_and_packages_chrooted
  module:   shellprocess
  config:   shellprocess_remove_unneeded_nvidia_and_virt_machine_and_packages_chrooted.conf

#  - shellprocess@build_dracut_kernels_and_menu_chrooted
- id:       build_dracut_kernels_and_menu_chrooted
  module:   shellprocess
  config:   shellprocess_build_dracut_kernels_and_menu_chrooted.conf

#  - shellprocess@final_chrooted
- id:       final_chrooted
  module:   shellprocess
  config:   shellprocess_final_chrooted.conf

#  - shellprocess@copy_pacman_std_conf_dont_chroot
- id:       copy_pacman_std_conf_dont_chroot
  module:   shellprocess
  config:   shellprocess_copy_pacman_std_conf_dont_chroot.conf

#  - shellprocess@copy_install_logs_dont_chroot
- id:       copy_install_logs_dont_chroot
  module:   shellprocess
  config:   shellprocess_copy_install_logs_dont_chroot.conf

#  - shellprocess@install_intel_drivers_chrooted
- id:       install_intel_drivers_chrooted
  module:   shellprocess
  config:   shellprocess_install_intel_drivers_chrooted.conf


sequence:
- show:
  - welcome@offline
  - locale
  - keyboard
  - packagechooserq
  - partition
  - users
  - summary
- exec:
  - hardwaredetect
  - partition
  - mount
  - unpackfs
  - shellprocess@reset_systemd_multiuser_chrooted
  - machineid
  - fstab
  - locale
  - keyboard
  - localecfg
  - luksbootkeyfile
  - removeuser
  - users
  - networkcfg
  - displaymanager
  - shellprocess@initialize_pacman_dont_chroot
  - packages@offline
  - hwclock
  - shellprocess@remove_ucode_chrooted
  - eos_bootloader@offline
  - grubcfg
  - bootloader
  - services-systemd
  - shellprocess@copy_refind_theme_chrooted
  - shellprocess@install_intel_drivers_chrooted
  - shellprocess@remove_unneeded_nvidia_and_virt_machine_and_packages_chrooted
  - shellprocess@build_dracut_kernels_and_menu_chrooted
  - shellprocess@final_chrooted
  - shellprocess@copy_pacman_std_conf_dont_chroot
  - shellprocess@copy_install_logs_dont_chroot
  - preservefiles
  - umount
- show:
  - finished

branding: melawy

prompt-install: true

dont-chroot: false

oem-setup: false

disable-cancel: false

disable-cancel-during-exec: false

hide-back-and-next-during-exec: true

quit-at-end: false
